PHP Manual
Prev |  | Next

# mb_stripos

(no version information, might be only in CVS)

mb_stripos -- Finds position of first occurrence of a string within another, case insensitive

## Description

int mb_stripos ( string haystack, string needle [, int offset [, string encoding]] )

mb_stripos() returns the numeric position of the first occurrence of `needle` in the `haystack` string. Unlike mb_strpos(), mb_stripos() is case-insensitive. If `needle` is not found, it returns `FALSE`.

## Parameters

`haystack`

  The string from which to get the position of the first occurrence of `needle`

`needle`

  The string to find in `haystack`

`offset`

  The position in `haystack` to start searching

`encoding`

  Character encoding name to use. If it is omitted, internal character encoding is used.

## Return Values

Return the numeric position of the first occurrence of `needle` in the `haystack` string, or `FALSE` if `needle` is not found.

## See Also

stripos()
strpos()
mb_strpos()

Prev | Home | Next
mb_strimwidth | Up | mb_stristr